--Define name space for all whammy functions. This file is called first so define it here.
Whammy = {}

if ( GetLocale() == "enUS" ) then
	
	Whammy.localize = {
			
			-- kButton_Text = "Whammy",
			-- kIcon_Pos_Text = "Icon Position",
			-- kEnabled_Text = "Enable",
			kInfoFrameHelpText = "Whammy enables you to quickly heal, decurse, and perform other functions to yourself, party or raid members through a simple point and click interface. There is also a group summary window that shows overall group health/mana|n|n/whammy              - shows/hides the Whammy window|n|nTo drag Whammy  - Click and Drag top grey bar|n|nLock in place         - Shift + Right Click top grey bar|n|nResize Whammy   - Click and Drag lower right corner|n|nUse Health Alerts to set the percentage health to indicate when a unit needs healing. The Unit Button will turn Yellow for first warning indicator, Red when for the second.|n|nEach Unit Button is also a health level indicator, which is the width of the button.|n|nButtons also have an ailment area at the top (yellow when cursed) and will audibly notify you when a unit has a ailment (the sound can be disabled as well)|n       - Has a M, C, D, P for Magic, Curse, Disease or Poison|n|nYour characters text always appears in green to easily distinguish it from other players.|n|nThere is also basic threat indicator on each button, a small black square on the left side when the unit has threat, which can be toggled off|n|nWhammy Summary  - Show/Hide the via the Options menu|n                                 - Left click to drag|n|nTo set Whammy up, open the Options Frame and drag spells, macros etc from your spell book to the slots. When a Whammy button is clicked, that function will occur. Whammy cannot be used for offensive spells.",

			--Text for the individual unit buttons
			
			kMagicText = "m",
			kCurseText = "c",
			kDiseaseText = "d",
			kPoisonText = "p",
			
			kOutOfRangeText = "Rng",
			kDisconnectedText = "d/c",
			
			kUnitButtonMenuTrade = "Trade",
			kUnitButtonMenuWhisper = "Whisper",
			kUnitButtonMenuInspect = "Inspect",
			kUnitButtonMenuFollow = "Follow",
			kUnitButtonMenuCancel = "Cancel",
			
			kUnitButtonTradeError = "They are too far away to trade with",
			kUnitButtonInspectError = "They are too far away to inspect",
			
			--stuff in the config frame button assignments and checkboxes
			kcSetDefaultText = "Click Defaults to reset Whammy to it's defaults.|nIt will also remove all spells and reset settings.",
			kcShowSummaryCheckButtonText = "Show Summary",
			kcButtonSizeCheckButtonText = "Use Small Buttons",
			kcMuteAilmentSoundText = "Mute Ailment Sound",
			kcRangeCheckText = "Range Checking",
			kcThreatNotifyText = "Threat Notification",
			kcIsFrameMovableText = "Movable Frame",
		    kcShowDropdownText = "Show menu for unmapped buttons",
			kcConfigHealthAlertText = "Health Alert 1:",
			kcConfigHealthAlertText2 = "Health Alert 2:",
			kcLeftText = "Left",
			kcMiddleText = "Middle",
			kcRightText = "Right",
			kcButton4Text = "Button 4",
			kcButton5Text = "Button 5",
			kcNoMod = "No Mod",
			kcShift = "Shift",
			kcCtrl = "Ctrl",
			kcAlt = "Alt",
			
			kcConfigWindowTitle = "Whammy Configuration",
			kcMouseClicksText = "Mouse Button Clicks",
			kcOtherOptionsText = "Other Options",
			kcIcon_Pos_Text = "Icon Position",
			
			kcDropError = "You cannot drop that onto the Whammy slots",
			kcNoChangesInCombat = "Changes cannot be made while in combat",
			kcNoHarmfulSpells = "You cannot add harmful spells to Whammy",
			kcNoPetActions = "Pet Actions cannot be added to Whammy",
			
			kmMiniMapButton_Text = "Left Click:            Show/Hide Whammy|nRight Click:          Drag Mini Map Icon|nShift-Left Click:   Configuration|nShift-Right Click: About Whammy",
			
			kcInCombatError = "You cannot make changes to Whammy while in combat."
		}
	
end

if ( GetLocale() == "deDE" ) then

end

if ( GetLocale() == "frFR" ) then

end 